# Log Rotation for BOINC Projects
#
# Project is stoppped then restarted after the logs are rotated
#
# @(#) -Last changed: -EAM 27Nov2006

##
# Global: applies to all BOINC log files
 
notifempty
missingok
start 0
nomail

# Choose compression or not.  (Note: Only the compressed or uncompressed
# files will be rotated, not the 'other' of the two.)

nocompress
nodelaycompress


# This causes only one restart per log group, not one per file
# (Can this be global or must it not?
#  The postrotate script to restart the project must appear in a log
#  file (or file group) specification, it cannot be global.)

sharedscripts



##
# Log files, grouped together by common settings.  Rearrange as you wish.

/usr02/pirates/log_alvarez/cgi.log 
/usr02/pirates/log_alvarez/transitioner.log 
/usr02/pirates/log_alvarez/file_upload_handler.log
/usr02/pirates/log_alvarez/sample_dummy_assimilator.log
/usr02/pirates/log_alvarez/sample_trivial_validator.log
/usr02/pirates/log_alvarez/cron.log 
{
    daily
    rotate 31
    create 0660 boincadm apache
    sharedscripts
    postrotate
	/usr02/pirates/bin/stop ; /usr02/pirates/bin/start
    endscript
}

/usr02/pirates/log_alvarez/make_work.log
/usr02/pirates/log_alvarez/uptime.log 
/usr02/pirates/log_alvarez/file_deleter.log
/usr02/pirates/log_alvarez/server_status.log 
{
    weekly					       
    rotate 8
    create 0660 boincadm apache
    sharedscripts
    postrotate
	/usr02/pirates/bin/stop ; /usr02/pirates/bin/start
    endscript
}


/usr02/pirates/log_alvarez/daily.log
/usr02/pirates/log_alvarez/feeder.log
{
    monthly
    rotate 12
    create 0660 boincadm apache
    sharedscripts
    postrotate
	/usr02/pirates/bin/stop ; /usr02/pirates/bin/start
    endscript
}

##EOF##
